local ____lualib = require("lualib_bundle")
local Set = ____lualib.Set
local __TS__New = ____lualib.__TS__New
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____shouldFire = require("shouldFire")
local shouldFireBomb = ____shouldFire.shouldFireBomb
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
local v = {room = {firedSet = __TS__New(Set)}}
____exports.PostBombInitLate = __TS__Class()
local PostBombInitLate = ____exports.PostBombInitLate
PostBombInitLate.name = "PostBombInitLate"
__TS__ClassExtends(PostBombInitLate, CustomCallback)
function PostBombInitLate.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.v = v
    self.shouldFire = shouldFireBomb
    self.postBombUpdate = function(____, bomb)
        local ptrHash = GetPtrHash(bomb)
        if not v.room.firedSet:has(ptrHash) then
            v.room.firedSet:add(ptrHash)
            self:fire(bomb)
        end
    end
    self.callbacksUsed = {{ModCallback.POST_BOMB_UPDATE, self.postBombUpdate}}
end
return ____exports
